# typed: strict
class Domain::StaticFileJob < Scraper::JobBase
  include Domain::StaticFileJobHelper
  queue_as :static_file
  abstract!

  sig { override.params(args: T::Hash[Symbol, T.untyped]).returns(T.untyped) }
  def perform(args)
    file = post_file_from_args!
    logger.push_tags(make_arg_tag(file), make_arg_tag(file.post))
    download_post_file(file)
  end
end
